﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace SalesVizu
{
    public class ByGame
    {
        public static Color ColorOf(float ratio)
        {
            float currentR = Totals.ValueMSPbyGame[0];
            for (int currentI = 0; currentI < Data.Games.Length; currentI++)
            {
#if DEBUG
                float[] values = new float[Totals.ValueMSPbyGame.Count];
                for (int i = 0; i < values.Length; i++)
                {
                    values[i] = Totals.ValueMSPbyGame[i];
                }
                bool rebuilding = LoadSales.Rebuilding;

#endif
                if (ratio < currentR)
                {
                    return Colors.GameColor(currentI);
                }
                else
                {
                    if (currentI + 1 >= Totals.ValueMSPbyGame.Count)
                    {
                        return Color.Transparent;
                    }

                    currentR += Totals.ValueMSPbyGame[currentI + 1];
                }
            }
            throw new Exception();
        }
        public static String LabelOf(int g)
        {
            if (Games.Selected[g] == false) { return ""; }
            return "<" + (g + 1).ToString("00") + "> " + (Totals.ValueMSPbyGame[g] * 100).ToString("0.0") + "%";
        }
    }
}
