﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace SalesVizu
{
    public class Games
    {
        //public static List<Rectangle> DestRects;
        //public static int Left { get { return DestRects[0].Left; } }
        public static int Left = 0;

        public static bool[] Selected;
        public static bool AnyGameSelected
        {
            get
            {
                foreach (bool b in Selected)
                {
                    if (b) { return true; }
                }
                return false;
            }
        }

        public static void Load()
        {
            //List<Rectangle> destRects = new List<Rectangle>();
            String s = "";
            for(int i=0; i<Data.MaxGameNameLength; i++) { s += "X"; }

            Point size = Utils.Vec2ToPoint(MaximinusGame.Instance.Font.MeasureString(s));
            size.X *= 6;
            size.X /= 7;
            int top = 15;
            Rectangle dest = new Rectangle(
                Game1.RenderMain.Width - size.X,
                top,
                size.X,
                size.Y);

            Left = dest.Left;

            Button<String> b = new Button<String>(
                "All",
                new Point(dest.Center.X - dest.Width / 4, dest.Center.Y),
                Buttons.PressOrRelease.Release, Buttons.Code.GamesAll);
            b.rect.X = dest.X;
            b.rect.Width = dest.Width / 2;
            b.State = Buttons.PressOrRelease.Press;
            b = new Button<String>(
                "None",
                new Point(dest.Center.X + dest.Width / 4, dest.Center.Y),
                Buttons.PressOrRelease.Release, Buttons.Code.GamesNone);
            b.rect.X = dest.X + dest.Width / 2;
            b.rect.Width = dest.Width / 2;
            b.State = Buttons.PressOrRelease.Press;
            //dest.Y += Buttons.Height;

            //dest.Height = 10;

            //foreach (GameWithDate gameName in Data.Games)
            //{
            //    destRects.Add(dest);
            //    dest.Y += 
            //        //dest.Height;
            //        Buttons.Height; // size.Y * 3 / 2;
            //}

            int height = Buttons.Height * 2 / 3;

            Selected = new bool[Data.Games.Length];

            for (int g = 0; g < Data.Games.Length; g++)
            {
                b = new Button<String>(
                    "<" + (g + 1).ToString("00") + "> " + Data.Games[g].GameName,
                    new Point(Left + size.X / 2, top + Buttons.Height + height * g + height / 2),                    
                    //(destRects[g].Center),
                    Buttons.PressOrRelease.Release,
                    Buttons.GameCode(g));
                b.LabelColor = Colors.GameColor(g);
                b.State = Buttons.PressOrRelease.Press;
                b.rect.X = Left;// destRects[g].X;
                b.rect.Width =
                    //MaximinusGame.Draw2D.ScreenSizePoint.X - b.rect.X; 
                    size.X;// destRects[g].Width;
                    //b.rect.Height = dest.Height;
                b.rect.Height = height;
                Selected[g] = true;
            }
        }
    }
}
